#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  fftw-3.3.11

- Next

  GLib-2.88.0

- Up
- Home

# fmt-12.1.0

## Introduction to fmt

The fmt package is an open-source formatting library providing a fast and safe alternative to C stdio and C++ iostreams.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/fmtlib/fmt/archive/12.1.0/fmt-12.1.0.tar.gz

- Download MD5 sum: 92eb6f492e4838e5f024ce5207beafc7

- Download size: 696 KB

- Estimated disk space required: 45 MB (with tests)

- Estimated build time: 0.4 SBU (using parallelism=4; with tests)

### Fmt Dependencies

#### Required

CMake-4.3.2

## Installation of fmt

Install fmt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr     \
          -D CMAKE_INSTALL_LIBDIR=/usr/lib \
          -D BUILD_SHARED_LIBS=ON          \
          -D FMT_TEST=OFF                  \
          -G Ninja ..                      &&
    ninja

To test the results, issue:

    cmake -D FMT_TEST=ON .. &&
    ninja                   &&
    ninja test

Now, as the `root` user:

    ninja install

## Command Explanations

`-D FMT_TEST=OFF`: This switch initializes the package tests. It will be overridden if the instructions for running the test suite is used.

## Contents

Installed Programs: None
Installed Libraries: libfmt.so
Installed Directories: /usr/include/fmt and /usr/lib/cmake/fmt

- Prev

  fftw-3.3.11

- Next

  GLib-2.88.0

- Up
- Home